#
# spec file for package usbip
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


BuildRequires:  glib2-devel
BuildRequires:  libtool
BuildRequires:  libudev-devel
BuildRequires:  pkg-config
%if 0%{?suse_version} > 1130
BuildRequires:  sysfsutils-devel
%else
BuildRequires:  sysfsutils
%endif

Name:           usbip
Summary:        The USB/IP shared USB system over IP network
License:        GPL-2.0+
Group:          Hardware/Other
Version:        2.0
Release:        26.3.1

Url:            http://usbip.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# userspace code from linux kernel git commit fde7d904
Source0:        %{name}-%{version}.tar.bz2

%description
The USB/IP Project aims to develop a general USB device sharing system
over IP network. To share USB devices between computers with their full
functionality, USB/IP encapsulates "USB I/O messages" into IP packets
and transmits them between computers. Original USB device drivers and
applications can be also used for remote USB devices without any
modification of them. A computer can use remote USB devices as if they
were directly attached; for example, we can ...



%package devel
Summary:        Headers and static libraries
Group:          Hardware/Other
Requires:       %{name} = %{version} glibc-devel

%description devel
This package contains headers and static libraries for USB/IP
development



%prep
%setup -q 

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%build
./autogen.sh
%configure --disable-static --with-pic --prefix=/usr
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/usbip
%{_includedir}/usbip/*.h
%{_libdir}/libusbip.so

%files
%defattr(-,root,root,-)
%{_sbindir}/usbip
%{_sbindir}/usbipd
%{_libdir}/libusbip.so.0*
%{_datadir}/man/*

%changelog
* Wed Sep 26 2018 dchang@suse.com
- Removed parameter '--with-usbids-dir' of configure for fixing
  error path on SLE12 SP2/SP3 (bsc#1085676)
* Tue May 15 2018 dchang@suse.com
- Update usbip userspace tool to version 2.0, align to linux kenrel
  commit (afd2ff9b7e1b Linux 4.4). (bsc#1085676)
  * move usbip userspace code out of staging
  * bump version to 2.0
  * add new list API
  * migrate usbip to libudev
  * change usbip to include new uapi usbip.h
  * add uapi header to export usbip kernel interfaces
  * prevent possible buffer overflow reading port records
  * fix some memory leaks
  * convert usbip-host driver to usb_device_driver
    the usbip_status file is no longer created for interface 0,
    but for the whole device
  * add support for viewing imported devices
  * Fix sscanf handling
* Tue Mar 13 2012 dchang@suse.com
- updated usbip to version 1.1.1 which are from linux kernel tree
  (drivers/staging/usbip/userspace), git commit fde7d904, since
  usbip had huge change in the kernel modules.
* Tue Nov 15 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Sep  7 2010 aj@suse.de
- BuildRequire sysfsutils-devel
* Wed Jan 13 2010 hvogel@novell.com
- usbip-0.1.6-usb.ids_path.patch:
  Use correct path to usb.ids [bnc#529364]
* Sat Oct 10 2009 crrodriguez@opensuse.org
- usbip-0.1.6-3.23: missing call to closedir [bnc#531223]
* Fri Jan  9 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Wed Nov 19 2008 mauro@suse.de
- Adding to SUSE.
